%global npm_name json-schema-traverse
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 0.3.1
Release: %mkrel 4
Summary: Traverse JSON Schema passing each schema object to callback
License: MIT
Group: Development/Other
URL: https://github.com/epoberezkin/json-schema-traverse#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr spec %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.3.1-4.mga9
+ Revision: 1818535
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.3.1-3.mga8
+ Revision: 1502953
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.3.1-2.mga7
+ Revision: 1280545
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 0.3.1-1.mga7
+ Revision: 1227233
- imported package nodejs-json-schema-traverse

